Index: trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-1-ufl.rspec
===================================================================
--- trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-1-ufl.rspec	(revision 3073)
+++ trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-1-ufl.rspec	(revision 3073)
@@ -0,0 +1,50 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+  <node client_id="VM-1" component_manager_id="urn:publicid:IDN+exogeni.net:uflvmsite+authority+cm">
+     <sliver_type name="m1.large">
+     <disk_image name="http://geni-images.renci.org/images/standard/centos/centos6.3-v1.0.10.xml" version="fde66f7d94557d30ebf00c86be2ff9581c9b951c" />
+     </sliver_type>
+   <interface client_id="VM-1:if0">
+      <ip address="172.16.1.1" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="VM-2" component_manager_id="urn:publicid:IDN+exogeni.net:uflvmsite+authority+cm">
+     <sliver_type name="m1.large">
+     <disk_image name="http://geni-images.renci.org/images/standard/centos/centos6.3-v1.0.10.xml" version="fde66f7d94557d30ebf00c86be2ff9581c9b951c" />
+     </sliver_type>
+    <interface client_id="VM-2:if0">
+      <ip address="172.16.1.2" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="VM-3" component_manager_id="urn:publicid:IDN+exogeni.net:uflvmsite+authority+cm">
+     <sliver_type name="m1.large">
+     <disk_image name="http://geni-images.renci.org/images/standard/centos/centos6.3-v1.0.10.xml" version="fde66f7d94557d30ebf00c86be2ff9581c9b951c" />
+     </sliver_type>
+    <interface client_id="VM-3:if0">
+     <ip address="172.16.1.3" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="VM-4" component_manager_id="urn:publicid:IDN+exogeni.net:uflvmsite+authority+cm">
+     <sliver_type name="m1.large">
+     <disk_image name="http://geni-images.renci.org/images/standard/centos/centos6.3-v1.0.10.xml" version="fde66f7d94557d30ebf00c86be2ff9581c9b951c" />
+     </sliver_type>
+    <interface client_id="VM-4:if0">
+    <ip address="172.16.1.4" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+exogeni.net:uflvmsite+authority+cm"/>
+    <interface_ref client_id="VM-1:if0"/>
+    <interface_ref client_id="VM-2:if0"/>
+    <interface_ref client_id="VM-3:if0"/>
+    <interface_ref client_id="VM-4:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-2-ufl.rspec
===================================================================
--- trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-2-ufl.rspec	(revision 3073)
+++ trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-2-ufl.rspec	(revision 3073)
@@ -0,0 +1,35 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+<node client_id="BM-1" component_manager_id="urn:publicid:IDN+exogeni.net:uflvmsite+authority+cm">
+    <sliver_type name="exogeni-m4" >
+     <disk_image name="http://geni-images.renci.org/images/standard/centos/centos6.3-v1.0.10.xml" version="fde66f7d94557d30ebf00c86be2ff9581c9b951c" />
+     </sliver_type>
+    <interface client_id="BM-1:if0">
+      <ip address="172.16.1.1" netmask="255.255.255.0" />
+    </interface>
+  </node>
+
+ <node client_id="VM-1" component_manager_id="urn:publicid:IDN+exogeni.net:uflvmsite+authority+cm" >
+     <sliver_type name="m1.large">
+     <disk_image name="http://geni-images.renci.org/images/standard/centos/centos6.3-v1.0.10.xml" version="fde66f7d94557d30ebf00c86be2ff9581c9b951c" />
+     </sliver_type>
+    <interface client_id="VM-1:if0">
+      <ip address="172.16.1.2" netmask="255.255.255.0" />
+     </interface>
+  </node>
+
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+exogeni.net:uflvmsite+authority+cm"/>
+    <interface_ref client_id="BM-1:if0"/>
+    <interface_ref client_id="VM-1:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-3-ufl.rspec
===================================================================
--- trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-3-ufl.rspec	(revision 3073)
+++ trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-3-ufl.rspec	(revision 3073)
@@ -0,0 +1,31 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+<node client_id="gpo" component_manager_id="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+cm">
+ <sliver_type name="m1.large">
+ <disk_image name="http://geni-images.renci.org/images/standard/centos/centos6.3-v1.0.10.xml" version="fde66f7d94557d30ebf00c86be2ff9581c9b951c" />
+ </sliver_type>
+ <interface client_id="gpo:0">
+    <ip address="172.16.2.1" netmask="255.255.255.0" />
+ </interface>
+</node>
+<node client_id="ufl" component_manager_id="urn:publicid:IDN+exogeni.net:uflvmsite+authority+cm">
+  <sliver_type name="m1.large">
+  <disk_image name="http://geni-images.renci.org/images/standard/centos/centos6.3-v1.0.10.xml" version="fde66f7d94557d30ebf00c86be2ff9581c9b951c" />
+  </sliver_type>
+  <interface client_id="ufl:0" >
+   <ip address="172.16.2.2" netmask="255.255.255.0" />
+  </interface>
+</node>
+<link client_id="link">
+  <interface_ref client_id="gpo:0" />
+  <interface_ref client_id="ufl:0" />
+</link>
+</rspec>
Index: trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-eg-gpo.rspec
===================================================================
--- trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-eg-gpo.rspec	(revision 3073)
+++ trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-eg-gpo.rspec	(revision 3073)
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.geni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.geni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.geni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+  <node client_id="VM" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+    <sliver_type name="m1.small">
+    </sliver_type>
+	<services>
+	<execute shell="sh" command="hostname BBN-shared"/>
+	</services>
+    <interface client_id="VM:if0">
+   <ip address="10.42.11.198" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <interface_ref client_id="VM:if0"/>
+    <s:link_shared_vlan name="1750"/>
+  </link>
+</rspec>
Index: trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-eg-ufl.rspec
===================================================================
--- trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-eg-ufl.rspec	(revision 3073)
+++ trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-eg-ufl.rspec	(revision 3073)
@@ -0,0 +1,37 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.geni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.geni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.geni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+  <node client_id="ufl-vm" component_manager_id="urn:publicid:IDN+uflvmsite+authority+cm" >
+    <sliver_type name="m1.small">
+    </sliver_type>
+        <services>
+        <execute shell="sh" command="hostname ufl-vm"/>
+        </services>
+    <interface client_id="ufl-vm:if0">
+   <ip address="10.42.11.210" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="ufl-vm1" component_manager_id="urn:publicid:IDN+uflvmsite+authority+cm" >
+    <sliver_type name="m1.small">
+    </sliver_type>
+        <services>
+        <execute shell="sh" command="hostname ufl-vm1"/>
+        </services>
+    <interface client_id="ufl-vm1:if0">
+   <ip address="10.42.11.211" netmask="255.255.255.0" />
+    </interface>
+  </node>
+
+  <link client_id="lan0">
+    <interface_ref client_id="ufl-vm:if0"/>
+    <interface_ref client_id="ufl-vm1:if0"/>
+    <s:link_shared_vlan name="1751"/>
+  </link>
+</rspec>
Index: trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-ig-gpo.rspec
===================================================================
--- trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-ig-gpo.rspec	(revision 3073)
+++ trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-ig-gpo.rspec	(revision 3073)
@@ -0,0 +1,34 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.geni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/shared-vlan/1
+           http://www.geni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+  <node client_id="gpo-ig" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="gpo-ig:if0">
+      <ip address="10.42.11.43" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <node client_id="gpo-ig2" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="gpo-ig2:if0">
+      <ip address="10.42.11.42" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <link client_id="openflow-mesoscale-0">
+    <interface_ref client_id="gpo-ig:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+
+  <link client_id="openflow-mesoscale-1">
+    <interface_ref client_id="gpo-ig2:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+</rspec>
Index: trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-ig-utah.rspec
===================================================================
--- trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-ig-utah.rspec	(revision 3073)
+++ trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-ig-utah.rspec	(revision 3073)
@@ -0,0 +1,39 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will two VMs on VLAN 1750 at the InstaGENI rack at Utah,
+Only one node is used for IG-CT-4 New Site Confirmation Tests.
+AM: http://utah.geniracks.net/protogeni/xmlrpc/am
+--> 
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+  <node client_id="utah-ig" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="utah-ig:if0">
+      <ip address="10.42.11.33" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <node client_id="utah-ig2" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="utah-ig2:if0">
+      <ip address="10.42.11.32" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <link client_id="openflow-mesoscale-0">
+    <interface_ref client_id="utah-ig:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+
+  <link client_id="openflow-mesoscale-1">
+    <interface_ref client_id="utah-ig2:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+</rspec>
Index: trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-openflow-eg-gpo.rspec
===================================================================
--- trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-openflow-eg-gpo.rspec	(revision 3073)
+++ trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-openflow-eg-gpo.rspec	(revision 3073)
@@ -0,0 +1,37 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site confirmation" email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="gpo-exogeni">
+     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:bbn-hn.exogeni.gpolab.bbn.com+datapath+00:01:08:17:f4:b5:2a:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:bbn-hn.exogeni.gpolab.bbn.com+authority+am" dpid="00:01:08:17:f4:b5:2a:00">
+      </openflow:datapath>
+
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="gpo-exogeni" />
+
+      <openflow:packet>
+	<openflow:dl_vlan value="1750"/>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-openflow-eg-ufl.rspec
===================================================================
--- trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-openflow-eg-ufl.rspec	(revision 3073)
+++ trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-openflow-eg-ufl.rspec	(revision 3073)
@@ -0,0 +1,34 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+ <openflow:sliver description="IG-CT-4 over 3716 " email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="ufl-exogeni">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:ufl-hn.exogeni.net+datapath+00:01:74:99:75:d7:69:00" 
+         component_manager_id="urn:publicid:IDN+openflow:foam:ufl-hn.exogeni.net+authority+am" >
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+      <openflow:use-group name="ufl-exogeni" />
+      <openflow:packet>
+	<openflow:dl_vlan value="1751"/>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-openflow-gpo.rspec
===================================================================
--- trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-openflow-gpo.rspec	(revision 3073)
+++ trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-openflow-gpo.rspec	(revision 3073)
@@ -0,0 +1,47 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site EG-CT-4" email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="habanero-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:24:a8:c4:b9:00"
+                         component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am">
+        <openflow:port name="33" num="57"/>
+        <openflow:port name="47" num="71"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:group name="poblano-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:12:e2:b8:a5:d0"
+			 component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am">
+        <openflow:port num="7"/>   <!-- to NLR 3716 -->
+        <openflow:port num="15"/>  <!-- to BBN ExoGENI rack -->
+        <openflow:port num="16"/>  <!-- to BBN InstaGENI rack -->
+        <openflow:port num="20"/>  <!-- to habanero -->
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="habanero-1750" />
+      <openflow:use-group name="poblano-1750" />
+
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.11.0/24"/>
+        <openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+  </openflow:sliver>
+
+</rspec>
Index: trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-openflow-ig-gpo.rspec
===================================================================
--- trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-openflow-ig-gpo.rspec	(revision 3073)
+++ trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-openflow-ig-gpo.rspec	(revision 3073)
@@ -0,0 +1,34 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 ">
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="bbn-instageni-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.instageni.gpolab.bbn.com+datapath+06:d6:84:34:97:c6:c9:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.instageni.gpolab.bbn.com+authority+am"  />
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="bbn-instageni-1750" />
+
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.11.0/24"/>
+        <openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
+
Index: trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-openflow-ig-utah.rspec
===================================================================
--- trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-openflow-ig-utah.rspec	(revision 3073)
+++ trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-openflow-ig-utah.rspec	(revision 3073)
@@ -0,0 +1,36 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 ">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+
+    <openflow:group name="utah-instageni-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:ig-utah+datapath+06:d6:00:24:a8:5d:0b:00" 
+		         component_manager_id="urn:publicid:IDN+openflow:foam:ig-utah+authority+am" />
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="utah-instageni-1750" />
+
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-openflow-internet2.rspec
===================================================================
--- trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-openflow-internet2.rspec	(revision 3073)
+++ trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-openflow-internet2.rspec	(revision 3073)
@@ -0,0 +1,89 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 "
+		   email="lnevers@bbn.com">
+
+ <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="i2-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:63:1d" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 NEWY 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:6f:e5" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 WASH 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:63:6e" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 ATLA 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:81:42" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 HOUS 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:63:38" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 LOSA 3716 -->
+    </openflow:group>
+
+   <openflow:group name="UEN-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
+        <openflow:port name="12" num="12"/>  <!-- to UEN 1750 -->
+        <openflow:port name="15" num="15"/>  <!-- to I2 LOSA 3716 -->
+      </openflow:datapath>
+    </openflow:group>
+
+
+    <openflow:group name="PRINCETON-1750">
+     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:6f:e5" 
+        component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:6f:e5">
+        <openflow:port name="15" num="15"/> <!-- WASH 1750-3716 -->
+        <openflow:port name="GBE0/19" num="19"/> <!-- MOXI 1751 -->
+        <openflow:port name="21" num="21"/> <!-- Princeton 1750 -->
+        <openflow:port name="26" num="26"/> <!-- MAX 1750 -->
+      </openflow:datapath>
+    </openflow:group>
+ 
+    <openflow:group name="NYU-1750">
+    <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:1d" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="4" num="4"/> <!-- NYU 1750 -->
+        <openflow:port name="12" num="12"/> <!-- NYSERNet 1750 -->
+        <openflow:port name="15" num="15"/> <!-- NEWY 1750-3716 -->
+        <openflow:port name="19" num="19"/> <!-- Rutgers 1750 -->
+        <openflow:port name="21" num="21"/> <!-- Illinois 1750 -->
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:group name="I2-ATLA-1750-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:6e" 	
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:6e">
+        <openflow:port name="1" num="1"/> <!-- UKY 1750 -->
+        <openflow:port name="4" num="4"/> <!-- SoX 1750 -->
+        <openflow:port name="9" num="9"/>  <!-- ATLA 1750-3716 -->
+        <openflow:port name="13" num="13"/> <!-- Kansas 1750 -->
+        <openflow:port name="15" num="15"/>  <!-- To UFL on 1751 -->
+        <openflow:port name="10GBE0/26" num="26"/>  <!-- Missouri 1750 -->
+
+
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="i2-3716" />
+      <openflow:use-group name="UEN-1750" />
+      <openflow:use-group name="PRINCETON-1750" />
+      <openflow:use-group name="NYU-1750" />
+      <openflow:use-group name="I2-ATLA-1750-3716"/>
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-openflow-rutgers.rspec
===================================================================
--- trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-openflow-rutgers.rspec	(revision 3073)
+++ trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-openflow-rutgers.rspec	(revision 3073)
@@ -0,0 +1,48 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve the OpenFlow resources at Rutgers
+used by the IG-CT-4 Site Confirmation Test.
+
+AM: https://nox.orbit-lab.org:3626/foam/gapi/1
+-->
+
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 "
+		   email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="rutgers-1750-i2-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:internal2.orbit-lab.org+datapath+00:00:00:10:10:17:50:01"
+			 component_manager_id="urn:publicid:IDN+openflow:foam:internal2.orbit-lab.org+authority+am">
+	<openflow:port num="5"/>
+	<openflow:port num="9"/>
+	<openflow:port num="10"/>
+	<openflow:port num="11"/>
+	<openflow:port num="12"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="rutgers-1750-i2-3716" />
+
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-openflow-uen.rspec
===================================================================
--- trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-openflow-uen.rspec	(revision 3073)
+++ trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-openflow-uen.rspec	(revision 3073)
@@ -0,0 +1,37 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site Confirmation Test IG-CT-4 ">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+
+    <openflow:group name="uen-1750">
+    <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foamyflow.chpc.utah.edu+datapath+06:d6:ac:16:2d:f5:2d:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foamyflow.chpc.utah.edu+authority+am" dpid="06:d6:ac:16:2d:f5:2d:00">
+        <openflow:port name="A21" num="21"/>
+        <openflow:port name="A22" num="22"/>
+        <openflow:port name="B22" num="46"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+      <openflow:use-group name="uen-1750" />
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-pg-utah.rspec
===================================================================
--- trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-pg-utah.rspec	(revision 3073)
+++ trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UFL/EG-CT-4-pg-utah.rspec	(revision 3073)
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.geni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/shared-vlan/1
+           http://www.geni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+  <node client_id="utah-pg" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="utah-pg:if0">
+      <ip address="10.42.11.35" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+  <link client_id="mesoscale-openflow-0">
+    <interface_ref client_id="utah-pg:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+
+</rspec>
